/video/live/assets/{live_asset_id}/start
Start a live stream.
Path Parameters
- Type: stringlive
_asset _id requiredList asset id for which the stream needs to start.
Responses
- application/json
Request Example for post/video/live/assets/{live_asset_id}/start
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
await client.liveStreamAssets.start('liveAssetId');
{
"status": "preparing",
"stream_key": "684aaf3179ee5275ba12c684",
"live_asset_id": "684caf2179ee5277ba13c683",
"live_video_source_id": "654c7d41f5f3302c85dd7bc3",
"input": {
"resolution": [
"360p",
"480p"
],
"title": "demo"
},
"stream_url": "rtmp://14.23.65.56:1935/app/684aaf3179ee5275ba12c684",
"output": {
"playback_url": "https://stream.gumlet.io/654c7d41f5f3302c85dd7bc3/684caf2179ee5277ba13c683/main.m3u8",
"recording_playback_url": "https://video.gumlet.io/654c7d41f5f3302c85dd7bc3/684aaf3179ee5255ba13c685/main.m3u8",
"recording_dash_playback_url": "https://video.gumlet.io/654c7d41f5f3302c85dd7bc3/684aaf3179ee5255ba13c685/main.mpd"
},
"thumbnail": {
"preparing": "https://stream.gumlet.io/654c7d41f5f3302c85dd7bc3/684caf2179ee5277ba13c683/thumbnail-preparing.png"
},
"vod_asset_id": "684aaf3179ee5255ba13c685",
"created_at": 1749724978564,
"updated_at": 1749725090495
}
